package cn.estsh.i3plus.pojo.aps.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description :字段元信息注解
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface FieldAnnotation {
    boolean property() default true;
    boolean modify() default true;  // 是否能修改
    boolean display() default true; // 是否需要在界面显示
    int pric() default 2;   // 对于浮点型，界面显示的精度
    boolean mainkey() default false;    // 是否为主键
}
